V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/forms/{formId}/items/{formItemId}/validate
Check a specific form item existence in any testing or approved study version.
Request
Path Parameters
-
formId(required): string(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
formItemId(required): string(uuid)
Form item ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
6D3A9B2E5C1F4A77B22D5E9F1A8C3344 -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686EExample:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
-
filterOutCondition: string
Condition used to exclude matching items from validation. Optional.Example:
status!=DRAFT -
inclDraft: string
Include draft entities in validation. Optional. Allowed values: "Y" to include drafts, "N" (default) to exclude drafts.Default Value:
NExample:N
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
booleanExamples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object